CS::RenderManager::HDR::Exposure::Linear Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::HDR::Exposure::Linear Class Reference

A simple exposure controller, just scaling color values by a factor. More...

`#include <csplugincommon/rendermanager/hdrexposure.h>`

List of all members.

## Public Member Functions
void | ApplyExposure (RenderTreeBase &renderTree, iView *view)
| Obtain rendered image and apply exposure correction.
float | GetExposureChangeRate () const
| Get exposure change rate.
void | GetMinMaxExposure (float &min, float &max) const
| Get minimum and maximum exposure.
float | GetTargetAverageLuminance () const
| Get target average luminance.
float | GetTargetAverageLuminanceTolerance () const
| Get target average luminance tolerance.
void | Initialize (iObjectRegistry *objReg, HDRHelper &hdr)
| Set up HDR exposure control for a post effects manager.
void | SetExposureChangeRate (float f)
| Set exposure change rate.
void | SetMinMaxExposure (float min, float max)
| Set minimum and maximum exposure.
void | SetTargetAverageLuminance (float f)
| Set target average luminance.
void | SetTargetAverageLuminanceTolerance (float f)
| Set target average luminance tolerance.

## Detailed Description

A simple exposure controller, just scaling color values by a factor.

For the rendered image the average luminance is computed. If it's higher than a given target average luminance (plus a tolerance) the image is dimmed; if it's darker, the image is brightened up.

Definition at line 50 of file hdrexposure.h.

## Member Function Documentation

void CS::RenderManager::HDR::Exposure::Linear::ApplyExposure | ( | RenderTreeBase & | renderTree,
|  | iView * | view
| ) |  |

Obtain rendered image and apply exposure correction.

float CS::RenderManager::HDR::Exposure::Linear::GetExposureChangeRate | ( |  | ) | const`[inline]`

Get exposure change rate.

Definition at line 98 of file hdrexposure.h.

void CS::RenderManager::HDR::Exposure::Linear::GetMinMaxExposure | ( | float & | min,
|  | float & | max
| ) |  | const`[inline]`

Get minimum and maximum exposure.

Definition at line 92 of file hdrexposure.h.

float CS::RenderManager::HDR::Exposure::Linear::GetTargetAverageLuminance | ( |  | ) | const`[inline]`

Get target average luminance.

Definition at line 79 of file hdrexposure.h.

float CS::RenderManager::HDR::Exposure::Linear::GetTargetAverageLuminanceTolerance | ( |  | ) | const`[inline]`

Get target average luminance tolerance.

Definition at line 85 of file hdrexposure.h.

void CS::RenderManager::HDR::Exposure::Linear::Initialize | ( | iObjectRegistry * | objReg,
|  | HDRHelper & | hdr
| ) |  |

Set up HDR exposure control for a post effects manager.

void CS::RenderManager::HDR::Exposure::Linear::SetExposureChangeRate | ( | float | f | ) | `[inline]`

Set exposure change rate.

Definition at line 96 of file hdrexposure.h.

void CS::RenderManager::HDR::Exposure::Linear::SetMinMaxExposure | ( | float | min,
|  | float | max
| ) |  | `[inline]`

Set minimum and maximum exposure.

Definition at line 89 of file hdrexposure.h.

void CS::RenderManager::HDR::Exposure::Linear::SetTargetAverageLuminance | ( | float | f | ) | `[inline]`

Set target average luminance.

Definition at line 77 of file hdrexposure.h.

void CS::RenderManager::HDR::Exposure::Linear::SetTargetAverageLuminanceTolerance | ( | float | f | ) | `[inline]`

Set target average luminance tolerance.

Definition at line 82 of file hdrexposure.h.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/hdrexposure.h